<script setup>
import { onMounted, ref } from 'vue';

defineProps({
    modelValue: String,
    placeholder:{
        type:String,
        default:''
    }
});

defineEmits(['update:modelValue']);

const input = ref(null);

onMounted(() => {
    if (input.value.hasAttribute('autofocus')) {
        input.value.focus();
    }
});

defineExpose({ focus: () => input.value.focus() });
</script>

<template>
    <textarea
            ref="input"
        class="border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
            :placeholder="placeholder"
        :value="modelValue"
            @input="$emit('update:modelValue', $event.target.value)"></textarea>
</template>
